> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ModuleLicense

> Simple provider for module licences. This provider will return a flat list with

## "ModuleLicense"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ModuleLicenceProvider">SuperOffice.CRM.ModuleLicenceProvider</see> inside NetServer's SODatabase assembly.

Simple provider for module licences. This provider will return a flat list with
one entity for system-level licences, one for site (database)-level licences, and
one for user (associate)-level licences. It does not check codekey or other
security items.

## Supported Entities

| Name            | Description   |
| --------------- | ------------- |
| "systemLicense" | systemLicense |
| "siteLicense"   | siteLicense   |
| "userLicense"   | userLicense   |

## Supported Columns

| Name            | Restriction | Description                                                                             | OrderBy |
| --------------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows      | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows       | bool        | GetNone: Do not get any rows from the archive                                           |         |
| moduleLicenseId | int         | id                                                                                      | x       |
| moduleName      | string      | moduleName                                                                              | x       |
| moduleDesc      | string      | moduleDesc                                                                              | x       |
| licenseType     | int         | licenseType                                                                             | x       |
| licenseNumber   | int         | licenseNumber                                                                           | x       |
| allowedAssocs   | int         | allowedAssocs                                                                           | x       |
| extraFlags      | int         | extraFlags                                                                              | x       |
| graceTo         | date        | graceTo                                                                                 | x       |
| maintenanceTo   | date        | maintenanceTo                                                                           | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/ModuleLicense?$select=moduleName,licenseType
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [SuperOffice.WebApi.Data.LicenseInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.LicenseInfo.md)
- [ModuleLicense table](/en/database/tables/modulelicense.md)
- [Module licenses](/en/admin/license/dev/module-licenses.md)
- [Get Module License History From License Server](/en/api/reference/restful/agent/license_agent/get-module-license-history-from-license-server.md)
- [SuperOffice.WebApi.Data.ModuleLicense](/en/api/reference/webapi/SuperOffice.WebApi.Data.ModuleLicense.md)
- [Get License From License Server](/en/api/reference/restful/agent/license_agent/get-license-from-license-server.md)
